# Lyon Living Lab Energy Documentation

## Commands

* `py -m pip install mkdocs` - Install mkdocs
* `mkdocs new [dir-name]` - Create a new project.
* `mkdocs serve` - Start the live-reloading docs server.
* `mkdocs build` - Build the documentation site.
* `mkdocs help` - Print this help message.

## Setting files hierarchy
    inside mkdocs.yml use the key nav: to configure the md files hierarchy

    nav:
    - Home: index.md
    - Getting started:
        - Setup your environment: getting_started/setup_your_environment.md
        - Launch the application on local : getting_started/launch_local_application.md
        - Launch a konnector on local : getting_started/launch_local_konnector.md
    - Project Architecture:
        - Architecture : project_architecture/architecture.md
        - Cozy : project_architecture/cozy.md
        - Environments : project_architecture/environments.md
        - DocTypes : project_architecture/doctypes.md
    - Application:
        - Description: application/description.md
        - Gitflow: application/gitflow.md
    - Konnectors:
        - Enedis: konnectors/enedis.md
        - GRDF: konnectors/grdf.md
        - Eau du Grand Lyon: konnectors/egl.md
    - Proxy:
        - Description: proxy/description.md


## Project layout

    mkdocs.yml    # The main file and configuration file.
    docs/
        index.md  # The documentation homepage.
        ...       # Other markdown pages, images and other files.

## Mkdocs packages

    py -m pip install mkdocs-material
    py -m pip install plantuml-markdown